Subject: [mpls] RtgDir review: draft-ietf-mpls-extended-admin-group-06.txt

From: Tomonori Takeda <[email-masked]>
Date: Fri, 02 May 2014 22:53:24 +0900

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing 
Directorate seeks to review all routing or routing-related drafts as they pass through 
IETF last call and IESG review, and sometimes on special request. The purpose of the 
review is to provide assistance to the Routing ADs. For more information about the Routing 
Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful 
if you could consider them along with any other IETF Last Call comments that you receive, 
and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-mpls-extended-admin-group-06.txt
Reviewer: Tomonori Takeda
Review Date: 2 May 2014
IETF LC End Date: 6 May 2014
Intended Status: Standards Track

Summary:
This document is basically ready for publication, but has nits that should be considered 
prior to publication.

Comments:
This document is short, clearly written and easy to understand.
This document writes protocol extensions for OSPF-TE and ISIS-TE, which is straight-forward.

Major Issues:
No major issues found.

Minor Issues:
No minor issues found.

Nits:

o Abstract
   It says:
   "the Administrative Group sub-TLV of the Link TLV"
   Precisely speaking, I think this should be:
   "the Administrative Group sub-TLV of the Link TLV for OSPFv2/OSPFv3
    and of the Extended IS Reachability TLV for ISIS"
   Or this could simply be:
   "the Administrative Group sub-TLV"

o Section 1, 3rd paragraph
   s/vaues/values

o Section 2
   "This document defines a sub-TLV of the Link TLV for both OSPF
    [RFC3630] and ISIS [RFC5305] ... "
    Same as above (comment for Abstract).

o Section 2.2
   "the existing Administrative Group TLVs" should be:
   "the existing Administrative Group sub-TLVs".

o Section 2.3.2, 3rd paragraph
   "as the assumption is than an unadvertised bit is set to 0"
   I guess "than" should be "that".

Thanks,
Tomonori Takeda

---

From: Eric Osborne <[email-masked]>
Date: Fri, 2 May 2014 11:32:47 -0400

Thanks!

Do I need to fix these and post a new version, or will the RFC Editor
take care of them?

eric

On Fri, May 2, 2014 at 9:53 AM, Tomonori Takeda
<[email-masked]> wrote:
> Hello,
>
> I have been selected as the Routing Directorate reviewer for this draft. The
> Routing Directorate seeks to review all routing or routing-related drafts as
> they pass through IETF last call and IESG review, and sometimes on special
> request. The purpose of the review is to provide assistance to the Routing
> ADs. For more information about the Routing Directorate, please see
> http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
> Although these comments are primarily for the use of the Routing ADs, it
> would be helpful if you could consider them along with any other IETF Last
> Call comments that you receive, and strive to resolve them through
> discussion or by updating the draft.
>
> This document is basically ready for publication, but has nits that should
> be considered prior to publication.
>
> Comments:
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 2 May 2014 17:27:13 +0100

Hi Eric,

> Do I need to fix these and post a new version, or will the RFC Editor

I think there are sufficient in the list that it is worth tidying up.
Like Loa said wrt the GenArt review, last call ends on the 6th and other reviews
might arrive before then.

But the document looks pretty stable.

You choice to post a new I-D now or wait until the end of last call.

I've put the document on the next IESG telechat (15th May) anyway.

Cheers,
Adrian

---

From: Eric Osborne <[email-masked]>
Date: Wed, 14 May 2014 09:45:02 -0400

...

All nits have been addressed.
I went with 'the Administrative Group sub-TLV' in the abstract.  For
section 2, I reworded the first paragraph as:

   This document defines the Extended Administrative Group (EAG) sub-TLV
   for both OSPF [RFC3630] and ISIS [RFC5305].

eric